# rdbgenerate
Utility for generating Redis dump (.rdb) files from Python native objects

## Installation
You can install this package using `pip`

    pip install rdbgenerate

## Version support
`rdbgenerate` is written for Python 3.

## Generated `.rdb` files
The `.rdb` files generated by `rdbgenerate`:
 - do not use compression to reduce size, unlike Redis itself which uses
   smart encoding formats to keep file size down
 - do not include auxiliary information such as database size hints,
   additional version information, etc.

## Usage
Once installed, use `rdb_generate` to write `.rdb` files.

    $ python
    >>> from rdbgenerate import rdb_generate
    >>> rdb_generate(
            'dump.rdb',
            db0={
                b"a": b"0",
                b"b": {b"1"},
                b"c": [b"1", b"2", b"3"],
                b"d": {b"x": b"y"}
            },
            db1={
                b"California": b"dreamin'"
            }
        )
    >>> quit()
    $ redis-server


### Encodings
This package supports strings that are Python `bytes` objects. It does *not* support regular Python strings.
Python strings can be converted to `bytes` via

    >>> s = "California"
    >>> b = s.encode('utf8')
    >>> print(b)
    b"California"
    
For more information on string encoding in Python 3, see https://docs.python.org/3/howto/unicode.html .
